import request from '@/utils/request'

// 查询阀井巡查列表
export function batchReview(data) {
  return request({
    url: '/gas/valveWellInspection/batchReview',
    method: 'POST',
    data: data
  })
}
export function listValveWellInspection(query) {
  return request({
    url: '/gas/valveWellInspection/list',
    method: 'get',
    params: query
  })
}

// 查询阀井巡查详细
export function getValveWellInspection(id) {
  return request({
    url: '/gas/valveWellInspection/' + id,
    method: 'get'
  })
}

// 新增阀井巡查
export function addValveWellInspection(data) {
  return request({
    url: '/gas/valveWellInspection',
    method: 'post',
    data: data
  })
}

// 修改阀井巡查
export function updateValveWellInspection(data) {
  return request({
    url: '/gas/valveWellInspection',
    method: 'put',
    data: data
  })
}

// 删除阀井巡查
export function delValveWellInspection(id) {
  return request({
    url: '/gas/valveWellInspection/' + id,
    method: 'delete'
  })
}

export function getReviewList(data) {
  return request({
    url: '/gas/valveWellInspection/reviewList',
    method: 'get',
    params: data
  })
}
